import numpy as np

nx = ny = nz = 10

#print("%d %d %d" % (nx,ny,nz))
#print("-5.0 -5.0 -5.0")
#print("%f 0.0 0.0\n 0.0 %f 0.0 \n 0.0 0.0 %f" % (10.,10.,10.))
print("%d"%(nx*ny*nz))
x = np.linspace(-10,10,nx,endpoint=False)
y = np.linspace(-10,10,nx,endpoint=False)
z = np.linspace(-10,10,nx,endpoint=False)

# omega = 200 THz
# m     = 200 m_e
#
# m*omega^2 = 4.6808E-3 Ha/bohr^2
#
# 1.5*omega*hbar = 0.1974635 eV = 7.256E-3 Ha

def harm(x,y,z):
    return 0.5*(4.6808E-3)*(x**2+y**2+z**2)


def gauss(x,y,z,m_d,m_a):
    r2 = x*x + y*y + z*z;
    return m_d * np.exp(m_a * r2)


for k in range(nz):
    for j in range(ny):
        for i in range(nx):
            print ("%f %f %f %f" % (x[i], y[j], z[k], harm( x[i], y[j], z[k]))) #, 1.0, -1.0)))
            #print ("%f %f %f %f" % (x[i], y[j], z[k], gauss( x[i], y[j], z[k], -10, -0.2)))
            #print ("0.0")

